/*
 * Base structure
 */


@font-face {
    font-family: 'Etelka Light Pro';
    font-style: normal;
    font-weight: normal;
    src: local('Etelka Light Pro'), url('/static/consensus/fonts/Etelka-Light-Pro_16165.woff') format('woff');
}

/* Move down content because we have a fixed navbar that is 3.5rem tall */
body {
    padding-top: 3.0rem;
    font-size: 13px;
    font-family: "Etelka Light Pro", "Maven Pro", Helvetica, Arial, sans-serif;
    height: 100%;
}

.login {
    max-width: 500px;
    padding-top: 4rem;
}

.logo {
    height: 60px;
    margin-top: 0px;
    margin-bottom: 0px;
    margin-left: 15px;
}

/*
 * Typography
 */

h1 {
    padding-bottom: 9px;
    margin-bottom: 20px;
    border-bottom: 1px solid #eee;
    font-size: 1.0rem;
    font-weight: bold;
}

/*
 * Sidebar
 */

.overflow-x {
    overflow-x: auto;
}

.bd-content {
    overflow-x: auto;
    min-height: calc(100vh - 5rem);
    margin-top: 10px;
}

.bd-sidebar {
    min-width: 150px;
    border-right: 1px solid #eee;
    box-shadow: 1px 1px 1px #dddddd;
    padding-left: 0px;
    padding-right: 0px;
}

.bd-sidebar .btn{
    margin-left: 17px;
    margin-right: 17px;
    margin-top: 10px;
    margin-bottom: -10px;
}

.container-fluid {
    /* height: 100%; */
}

.sidebar {
    position: sticky;
    min-width: 150px;
    /* max-width: 125px; */
    transition: all 0.3s;
    top: 51px;
    bottom: 0;
    left: 0;
    z-index: 1000;
    /* padding: 20px 0; */
    overflow-x: hidden;
    overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
    /* border-right: 1px solid #eee; */
    margin-left: -150px;
    /* box-shadow: 1px 1px 1px #dddddd; */
}

.sidebar.active {
    margin-left: 0px;
}

.sidebar .nav {
    margin-bottom: 20px;
}

.sidebar .nav-item {
    width: 100%;
}

.sidebar .nav-item + .nav-item {
    margin-left: 0;
}

.sidebar .nav-link {
    border-radius: 0;
}

.navbar {
    background: rgba(0,0,0,1.0);
}

.navbar-light .navbar-brand {
    color: rgb(255, 255, 255);
}

/*
 * Dashboard
 */

/* Placeholders */
.placeholders {
    padding-bottom: 3rem;
}

.card, .list-group-item{
    box-shadow: 1px 1px 1px #ccc;
}

.card-body-top {
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    padding-top: 0.2rem;
    padding-bottom: 0.2rem;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
}

.nav-pills .nav-link.active, .nav-pills .show>.nav-link {
    color: #fff;
    background-color: #888888;
}

a {
    color: #333333;
    text-decoration: none;
    background-color: transparent;
    -webkit-text-decoration-skip: objects;
}

a:hover {
    color: #999999;
    text-decoration: none;
}

.form-control {
    display: block;
    width: 100%;
    padding: .375rem .75rem;
    font-size: 13px;
    line-height: 1.2;
    color: #495057;
    background-color: #fff;
    background-image: none;
    background-clip: padding-box;
    border: 1px solid #cccccc;
    border-radius: .0rem;
    transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
}

.hoverable:hover {
    transition: box-shadow 0.5s ease;
}

.hoverable:hover {
    box-shadow: 2px 2px 8px #888888;
}

.tourbus-leg {
    box-shadow: 0 0 200px rgba(0, 0, 0, 0.8);
}

.wrapper {
    /* display: flex; */
    align-items: stretch;
    height: 100%;
    width: 100%
}


.list-group-item:first-child {
    border-top-left-radius: .0rem;
    border-top-right-radius: .0rem;
}

.list-group-item:last-child {
    margin-bottom: 0;
    border-bottom-right-radius: .0rem;
    border-bottom-left-radius: .0rem;
}

.questions {
    margin-left: -35px;
}

.comments {
    margin-left: -35px;
}

.question-answered {
    background-color: #e5ffeb!important;
    -webkit-transition: background-color 5s; /* Safari */
    transition: background-color 5s;
    cursor: pointer;
}

.question-mandatory {
    background-color: #ffedb6!important;
    -webkit-transition: background-color 5s; /* Safari */
    transition: background-color 5s;
    cursor: pointer;
}

.question-optional {
    background-color: none!important;
    -webkit-transition: background-color 5s; /* Safari */
    transition: background-color 5s;
    cursor: pointer;
}

.navbar-message {
    margin: 10px;
    color: #ffffff;
    font-weight: bolder;
}

.footer {
    /* padding: 30px 0; */
    color: #eeeeee;
    background: #000;
    padding-top: 0.5em;
    padding-bottom: 0.5em;
    margin-right: -15px;
    margin-left: -15px;
}

.footer a {
    color: #eeeeee;
}

.footer p {
    margin: 0px;
}